Home
Home
  1. Payment Requests
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
      • Revoke an existing mandate
      • Get a Mandate
      • Get many Mandates
    • Payment Requests
      • Instruct a new payment request
        POST
      • Cancel an existing payment request
        DELETE
      • Get a Payment
        GET
      • Get many Payments
        GET
    • Schedules
      • Instruct a new schedule
      • Cancel an existing schedule
      • Get a schedule
      • Get many schedules
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateLimitations
        • MandateRecordResponse
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • MandateRecordRequest
        • PaymentCreateRequest
        • PaymentResponse
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
        • PaymentStatus
        • AuthorisationSource
        • ScheduleCreateRequest
        • InstalmentResponse
        • ScheduleStatus
        • ScheduleResponse
        • InstalmentRequest
        • ScheduleCancelResponse
        • ExpectedPayment
        • PaymentCancelResponse
      • Payout
        • PayoutResponse
        • PayoutPaymentRequestItem
        • ListPayoutsResponse
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
        • ConsumerData
        • ProblemDetails
        • Metadata
        • PagingResponse
      • Availability
        • FullAvailabilityCheckRequest
        • FullAvailabilityCheckResponse
        • AvailabilityStatus
        • LightAvailabilityCheckRequest
        • LightAvailabilityCheckResponse
  1. Payment Requests

Instruct a new payment request

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
POST
https://mock.apidog.com/m1/828215-0-default
/payments
OperationId:create_new_payment_request
Create a new payment request. Ontime will attempt to satisfy the payment request following the next available employee pay date. Payments are not automatically re-occuring.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://{domain}.auth.{region}.amazoncognito.com
Scopes:
payments:write-Create and cancel payment requests.
or
Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Body

🟠422Parameter Error
🟠403Forbidden
🟠409Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://mock.apidog.com/m1/828215-0-default/payments' \
--header 'Idempotency-Key: {{$string.uuid}}' \
--header 'x-api-key: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "payment_record": {
        "mandate_id": "edae67d9-6a15-4758-9c7a-992c00de49db",
        "amount": 2949,
        "due_date": "2026-07-03",
        "currency": "TND",
        "metadata": null,
        "allow_post_due_date_deduction": false
    }
}'
Response Response Example
201 - Example 1
{
    "payment_record": {
        "id": "b7e4f6d5-14e9-4b31-bf2a-0ad7eff5499e",
        "mandate_id": "84209156-f154-4b11-90b0-8d4149af7c51",
        "due_date": "2026-05-04",
        "requested_amount": 2949,
        "currency": "MDL",
        "status": "PendingSubmission",
        "actual_amount": 0,
        "metadata": null,
        "expected_payments": [
            {
                "expected_pay_date": "2027-01-09",
                "amount": 983,
                "supply_method": "Payroll",
                "status": "PendingSubmission"
            },
            {
                "expected_pay_date": "2026-05-11",
                "amount": 983,
                "supply_method": "Payroll",
                "status": "PendingSubmission"
            },
            {
                "expected_pay_date": "2027-01-01",
                "amount": 983,
                "supply_method": "Payroll",
                "status": "PendingSubmission"
            }
        ]
    }
}
Previous
Payment Requests
Next
Cancel an existing payment request